// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyA6ru5Bl3hQLE1f8NlAEmO-mGWRfy8uwtg',
    appId: '1:473285856544:web:9edc8fb52eaef925a79b45',
    messagingSenderId: '473285856544',
    projectId: 'movie-app-d843d',
    authDomain: 'movie-app-d843d.firebaseapp.com',
    storageBucket: 'movie-app-d843d.appspot.com',
    measurementId: 'G-G391WRMHYZ',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDoFnoqzPnyjCot_c49q3uF7H6tEgr8miY',
    appId: '1:473285856544:android:228c55616f9de8b2a79b45',
    messagingSenderId: '473285856544',
    projectId: 'movie-app-d843d',
    storageBucket: 'movie-app-d843d.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBEdvYK49-3Evc4_QURPdN77F4xSvVhLdM',
    appId: '1:473285856544:ios:46db92a4e8822b63a79b45',
    messagingSenderId: '473285856544',
    projectId: 'movie-app-d843d',
    storageBucket: 'movie-app-d843d.appspot.com',
    iosClientId: '473285856544-prenqlhvos2gcprgboqlqqtj563u8ucl.apps.googleusercontent.com',
    iosBundleId: 'com.example.movieApp',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyBEdvYK49-3Evc4_QURPdN77F4xSvVhLdM',
    appId: '1:473285856544:ios:46db92a4e8822b63a79b45',
    messagingSenderId: '473285856544',
    projectId: 'movie-app-d843d',
    storageBucket: 'movie-app-d843d.appspot.com',
    iosClientId: '473285856544-prenqlhvos2gcprgboqlqqtj563u8ucl.apps.googleusercontent.com',
    iosBundleId: 'com.example.movieApp',
  );
}
